Bug 1249087 - Subprocesses in Asset management BP's not loaded correctly
Subprocesses in Asset management BP's not loaded correctly
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Mauricio Salatino
Kirill Gaevskii
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 09:15 EDT by Jeremy Lindop
Modified: 2016-01-08 16:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Lindop 2015-07-31 09:15:02 EDT
Description of problem:
When you load some of the Asset Management Business Processes, e.g. "ReleaseProject.bpmn2" at 
https://github.com/droolsjbpm/guvnor/blob/master/guvnor-asset-mgmt/guvnor-asset-mgmt-project/src/main/resources/ReleaseProject.bpmn2

flows that should be inside subprocesses appear outside the subprocess.

In this example, the flow which includes the activity "Update release projects version" should be inside the embedded sub-process.

I'm not sure when this behaviour first happened - the BP loads correctly in bpms-6.0.3.GA, but not in more recent versions.
Comment 2 Kris Verlaenen 2015-09-08 03:40:49 EDT
This might have to do with the switch to make sure we use absolute (rather than relative) coordinates for nodes inside a sub-process.

Mauricio, could you if necessary update and include the updated version of the processes?

Note You need to log in before you can comment on or make changes to this bug.